Bug 462050 - db_recover may be required on data directory after broker is killed (or crashes)
db_recover may be required on data directory after broker is killed (or crashes)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Release_Notes (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.0.1
: ---
Assigned To: Lana Brindley
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 04:15 EDT by Gordon Sim
Modified: 2013-10-23 19:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 20:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-09-12 04:15:33 EDT
If qpidd is not cleanly shutdown, the BDB files in which it holds key information required for recovery may require db_recover (from db4-utils pacakge) to be run prioir to recovery.

If on recovery you see: 
    "Error opening databases (BdbMessageStore.cpp:253): Db::open: Cannot allocate memory"

Run db_recover on the dat directory in the data-dir (or store-dir) location. E.g.

    db_recover -v -h /var/lib/qpidd/rhm/dat/

After this recovery should succeed.

Note You need to log in before you can comment on or make changes to this bug.